const system=require("../../system");
const settings=require("../../../config/settings");
const uiconfig=system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  return db.define("pagestatistics", {
    app_id:DataTypes.INTEGER,
    user_id:DataTypes.INTEGER,
    userName:DataTypes.STRING(50),
    onlyCode:DataTypes.STRING(50),//合伙人唯一码（创建者）
    mobile:DataTypes.STRING(20),
    targetOnlyCode:DataTypes.STRING(50),//目标唯一码（用户唯一码或店铺唯一码）
    itemCode:DataTypes.STRING,//服务项目编码
    statisticsCodeName:DataTypes.STRING(50),
    statisticsCode:DataTypes.STRING(50),//从p_service_type表中获取
    clicks:DataTypes.INTEGER,//点击数
    clientIp:DataTypes.STRING(20),
    descInfo:DataTypes.STRING(500),//描述信息
    isRead:DataTypes.INTEGER,//是否阅读,0未，1是
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
     tableName: 'h_page_statistics',
     validate: {

     },
     indexes:[
       // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
         //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
         //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
         //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
     ]
  });
}
